
"test.RxSpark.countMb" <- function()
{
    checkEquals(RevoScaleR:::countMb("123m"), 123)
    checkEquals(RevoScaleR:::countMb("123M"), 123)
    checkEquals(RevoScaleR:::countMb("123g"), 123 * 1024)
    checkEquals(RevoScaleR:::countMb("123G"), 123 * 1024)
    checkEquals(RevoScaleR:::countMb("0.13m"), 0.13)
    checkEquals(RevoScaleR:::countMb("1.3m"), 1.3)
    checkEquals(RevoScaleR:::countMb("13.00m"), 13)
    checkEquals(RevoScaleR:::countMb("0.0032m"), 0.0032)
    checkEquals(RevoScaleR:::countMb("0m"), 0)
    checkEquals(RevoScaleR:::countMb("23.34g"),23.34 * 1024)
    checkEquals(RevoScaleR:::countMb("0.0003g"), 0.0003 * 1024)
}

"test.RxSpark.checkSparkConfigErr.normal" <- function()
{
    RevoScaleR:::checkSparkConfigErr(
        numExecutors=2, executorCores=3, executorMem="2G", driverMem="2g",
        executorOverheadMem="2.3g", extraSparkConfig="--name \"Victor\"" )

    RevoScaleR:::checkSparkConfigErr(
        numExecutors=-1, executorCores=3, executorMem="2000m", driverMem="2000M",
        executorOverheadMem="2000.222m", extraSparkConfig="--name \"Victor\"" )
}

"test.RxSpark.checkSparkConfigErr.exception" <- function()
{
    checkException(RevoScaleR:::checkSparkConfigErr(
        numExecutors="three", executorCores=3,
        executorMem="0.01g", driverMem="1.43g", executorOverheadMem="2g",
        extraSparkConfig="--name \"Jason\"" ),
        "The value of numExecutors must be a positive integer")

    checkException(RevoScaleR:::checkSparkConfigErr(
        numExecutors=2, executorCores="3g",
        executorMem="0.01g", driverMem="1.43g", executorOverheadMem="2g",
        extraSparkConfig="--name \"Jason\"" ),
        "The value of executorCores must be a positive integer")

    checkException(RevoScaleR:::checkSparkConfigErr(numExecutors=2, executorCores="4",
        executorMem="0.01g", driverMem="1.43g", executorOverheadMem="g", 
        extraSparkConfig="--name \"Jason\"" ),
        "The value of executorCores must be a positive integer") 

    checkException(RevoScaleR:::checkSparkConfigErr(numExecutors=2, executorCores=3,
        executorMem="0.01", driverMem="1.43g", executorOverheadMem="2g", 
        extraSparkConfig="--name \"Jason\"" ),
        "The value of executorMem must be written in memory format [number][m,M,g,G]")

    checkException(RevoScaleR:::checkSparkConfigErr(numExecutors=1, executorCores=3,
        executorMem="g", driverMem="1.43g", executorOverheadMem="2g",
        extraSparkConfig="--name \"Jason\"" ),
        "The value of executorMem must be written in memory format [number][m,M,g,G]") 

    checkException(RevoScaleR:::checkSparkConfigErr(numExecutors=3, executorCores=3,
        executorMem="0.01g", driverMem="1.43g", executorOverheadMem="200",
        extraSparkConfig="--name \"Jason\"" ),
        "The value of executorOverheadMem must be written in memory format [number][m,M,g,G]") 

    checkException(RevoScaleR:::checkSparkConfigErr(numExecutors=3, executorCores=3,
        executorMem="0.01g", driverMem="g45", executorOverheadMem="2g", 
        extraSparkConfig="--name \"Jason\"" ),
        "The value of driverMem must be written in memory format [number][m,M,g,G]")

    checkException(RevoScaleR:::checkSparkConfigErr(numExecutors=3, executorCores=3,
        executorMem="0.01g", driverMem="1.43g12", executorOverheadMem="2g", 
        extraSparkConfig="--name \"Jason\"" ),
        "The value of driverMem must be written in memory format [number][m,M,g,G]")

    checkException(RevoScaleR:::checkSparkConfigErr(numExecutors=3, executorCores=3,
        executorMem="500.764", driverMem="1.43g", executorOverheadMem="2g", 
        extraSparkConfig="--name \"Jason\"" ), 
        "The value of executorMem must be written in memory format [number][m,M,g,G]")

    checkException(RevoScaleR:::checkSparkConfigErr(numExecutors=3.1, executorCores=3,
        executorMem="0.01g", driverMem="1.43g", executorOverheadMem="2g",
        extraSparkConfig="--name \"Jason\"" ),
        "The value of numExecutors must be a positive integer")

    checkException(RevoScaleR:::checkSparkConfigErr(numExecutors=2, executorCores=0.32,
        executorMem="0.01g", driverMem="1.43g", executorOverheadMem="2g",
        extraSparkConfig="--name \"Jason\"" ),
        "The value of executorCores must be a positive integer") 

    checkException(RevoScaleR:::checkSparkConfigErr(numExecutors=-3, executorCores=3,
        executorMem="500.764g", driverMem="1.43g", executorOverheadMem="2g",
        extraSparkConfig="--name \"Jason\"" ),
        "The value of numExecutors must be a positive integer")

    checkException(RevoScaleR:::checkSparkConfigErr(numExecutors=3, executorCores=-0.34,
        executorMem="0.01g", driverMem="1.43g12", executorOverheadMem="2g",
        extraSparkConfig="--name \"Jason\"" ),
        "The value of executorCores must be a positive integer")
}
